$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.4.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.4.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'B3FA0019E6EF92940EF3E71FEC9AF2E3F899A4733BEFCA5BBF8AD4E1A1B7134A'
  checksumType = 'sha256'
  checksum64 = 'B3FA0019E6EF92940EF3E71FEC9AF2E3F899A4733BEFCA5BBF8AD4E1A1B7134A'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-22.0.4-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
